%global dlrn_nvr neutron-tempest-plugin-0.5.0-0.20190814141609.31993d5
%global dlrn 1
%define upstream_version 0.5.0
%{!?upstream_version: %global upstream_version %{commit}}
%global commit 002a558672d39d913b3e982d052971a8caa84a11
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%global service neutron
%global plugin neutron-tempest-plugin
%global module neutron_tempest_plugin
# FIXME(ChandanKumar) FIx doc building step
%global with_doc 0

%if 0%{?fedora}
%global with_python3 1
%endif

%global common_desc \
This package contains Tempest tests to cover the Neutron project. \
Additionally it provides a plugin to automatically load these tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 0.5.0
Release: 0.20190814141616.31993d5%{?dist}
Summary:    Tempest Integration of Neutron Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: neutron-tempest-plugin-0.5.0-0.20190814141609.31993d5.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=0.5.0
Patch0001: 0001-Use-different-CIDRs-for-private-and-public-subnets.patch
Patch0002: 0002-Stop-re-using-client-connections.patch
Patch0003: 0003-Test-connectivity-after-migration-of-the-server-with.patch
Patch0004: 0004-Positive-tests-for-security-group-quota.patch
Patch0005: 0005-Negative-tests-for-security-group-quota.patch
Patch0006: 0006-Security-group-assignment-negative-tests.patch
Patch0007: 0007-Skip-multicast-test-if-there-is-no-python3-on-VM.patch
Patch0008: 0008-Add-timeout-to-check_connectivity-method.patch
Patch0009: 0009-Add-new-scenario-test-for-IPv6-hot-plug.patch
Patch0010: 0010-Add-test_reuse_ip_address_with_other_fip.patch
Patch0011: 0011-Check-VM-s-console-log-before-trying-to-SSH-to-it.patch
Patch0012: 0012-Scenario-New-test-to-check-extra_dhcp_opts.patch

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python2-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python2-%{service}-tests-tempest}

Obsoletes: python-neutron-tests < 1:12.0.0

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools

Requires:   python2-ddt >= 1.0.1
Requires:   python2-eventlet >= 0.18.2
%if 0%{?fedora} > 0
Requires:   python2-ipaddress
Requires:   python2-netaddr >= 0.7.18
%else
Requires:   python-ipaddress
Requires:   python-netaddr >= 0.7.18
%endif
Requires:   python2-neutron-lib >= 1.9.0
Requires:   python2-oslo-config >= 2:4.0.0
Requires:   python2-oslo-log >= 3.22.0
Requires:   python2-oslo-serialization >= 2.18.0
Requires:   python2-oslo-utils >= 3.20.0
Requires:   python2-pbr >= 2.0
Requires:   python2-six  >= 1.9.0
Requires:   python2-tempest >= 1:17.1.0
Requires:   python2-testtools >= 1.4.0
Requires:   python2-testscenarios >= 0.4

%description -n python2-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python2-sphinx
BuildRequires:  python2-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the Neutron tempest plugin.
%endif

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-ddt >= 1.0.1
Requires:   python3-eventlet >= 0.18.2
Requires:   python3-neutron-lib >= 1.9.0
Requires:   python3-netaddr >= 0.7.18
Requires:   python3-oslo-config >= 2:4.0.0
Requires:   python3-oslo-log >= 3.22.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-utils >= 3.20.0
Requires:   python3-pbr >= 2.0
Requires:   python3-six  >= 1.9.0
Requires:   python3-tempest >= 1:17.1.0
Requires:   python3-testtools >= 1.4.0
Requires:   python3-testscenarios >= 0.4

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

# Generate Docs
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python2-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{module}
# Remove stadium projects tests which are provided by separate packages
%exclude %{python2_sitelib}/%{module}/bgpvpn
%exclude %{python2_sitelib}/%{module}/sfc
%exclude %{python2_sitelib}/%{module}/fwaas
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
# Remove stadium projects tests which are provided by separate packages
%exclude %{python3_sitelib}/%{module}/bgpvpn
%exclude %{python3_sitelib}/%{module}/sfc
%exclude %{python3_sitelib}/%{module}/fwaas
%{python3_sitelib}/*.egg-info
%endif

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Fri Feb 05 2021 Slawek Kaplonski <skaplons@redhat.com> 0.5.0-0.20190814141616.31993d5
- [Scenario] New test to check extra_dhcp_opts (rhbz#1925598)
- Check VM's console log before trying to SSH to it. (rhbz#1925598)

* Mon Jan 18 2021 Bernard Cafarelli <bcafarel@redhat.com> 0.5.0-0.20190814141615.31993d5
- Add test_reuse_ip_address_with_other_fip... (rhbz#1898666)

* Wed Sep 30 2020 Slawek Kaplonski <skaplons@redhat.com> 0.5.0-0.20190814141614.31993d5
- Add new scenario test for IPv6 hot plug (rhbz#1871081)
- Merge changes from topics 'security_group_assignment_negative', 'negative_sec_group_quota', 'positive_sec_group_quota' into rhos-13.0-patches

* Tue Aug 04 2020 Eduardo Olivares <eolivare@redhat.com> 0.5.0-0.20190814141613.31993d5
- Add timeout to check_connectivity method (rhbz#1859111)
- Merge changes from topics 'security_group_assignment_negative', 'negative_sec_group_quota', 'positive_sec_group_quota' into rhos-13.0-patches

* Tue Jun 23 2020 Alex Katz <akatz@redhat.com> 0.5.0-0.20190814141612.31993d5
- Merge changes from topics 'security_group_assignment_negative', 'negative_sec_group_quota', 'positive_sec_group_quota' into rhos-13.0-patches
- Security group assignment negative tests (rhbz#1819724)
- Negative tests for security group quota (rhbz#1819718)
- Positive tests for security group quota (rhbz#1819718)

* Thu Apr 16 2020 Bernard Cafarelli <bcafarel@redhat.com> 0.5.0-0.20190814141611.31993d5
- Skip multicast test if there is no python3 on VM (rhbz#1818015)
- Test connectivity after migration of the server with trunk (rhbz#1819710)
- Stop re-using client connections (rhbz#1819710)

* Mon Mar 02 2020 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 0.5.0-0.20190814141610.31993d5
- Use different CIDRs for private and public subnets (rhbz#1798574)

